<?xml version='1.0' encoding='utf-8'?>
<panel>

	<!-- normal layout -->
	<flags id="inic" value="icons/transfers/in" />
	<flags id="ouic" value="icons/transfers/out" />

	<layout class="arrange_vertical_attachment" alignment="bottom,extend" offset="0" />
	<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

	<!--container for transfer/wage budget and list of transfers -->
	<container>

		<layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" />
		<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

		<container id="bdgt">
			<layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" gap="5" layout="18,18,2" />
			<layout class="fit_children_attachment" alignment="vertical,fill" offset="0" gap="5" />
			<layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true" />

			<!--transfer budget-->
			<container>
				<layout class="arrange_horizontal_attachment" alignment="left" offset="0" />
				<layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />

				<widget class="button" auto_size="horizontal" id="trbu" style="semi_bold, embossed" appearance="button/custom/budgets/button">
					<event id="click_event" event_id="GMFI" event_target="glob" />
					<layout class="stick_to_sides_attachment" alignment="top" inset="0" />
				</widget>

				<widget class="label" auto_size="all" style="embossed">
					<translation id="text" translation_id="242603" type="use" value="Transfer Budget" />
					<layout class="centre_in_parent_attachment" alignment="vertical" />
				</widget>

			</container>

			<!--wage budget-->
			<container>
				<layout class="arrange_horizontal_attachment" alignment="left" offset="0" />
				<layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />

				<widget class="wage_label" auto_size="horizontal" id="wabu" style="semi_bold, embossed" format="82" c-ve="true" appearance="button/custom/budgets/button">
					<event id="click_event" event_id="GMFI" event_target="glob" />
					<layout class="stick_to_sides_attachment" alignment="top" inset="0" />
				</widget>

				<widget class="label" auto_size="all" style="embossed">
					<translation id="text" translation_id="299986" type="use" value="Available Wage Budget" />
					<layout class="centre_in_parent_attachment" alignment="vertical" />
				</widget>
			</container>

			<!-- separator image -->
			<widget class="picture" id="pict" file="interface/separator">
				<layout class="stick_to_sides_attachment" alignment="bottom" inset="4" />
				<layout class="stick_to_sides_attachment" alignment="horizontal" inset="4" />
			</widget>

		</container>

		<container>

			<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />

			<!--list of pending transfers-->
			<widget class="table" mode="fill_rows, stripe_rows" id="tabl" layout="-3,20,-2,50">
				<boolean id="fixed_size_rows" value="true" />

        <list id="column_properties">
          <record indx="1" auto_size="vertical"/>
          <record indx="3" alignment="right, centre_y" />
        </list>

        <list id="column_display_properties">
          <record index="0" left="6" right="0" sort_disabled="true" />
          <record index="1" left="0" right="0" sort_disabled="true" alignment="left, centre_y"  />
          <record index="2" left="0" right="0" sort_disabled="true" />
          <record index="3" left="0" right="6" sort_disabled="true" alignment="right, centre_y" />
        </list>
			</widget>

			<!--info saying there are no pending transfers-->
			<container id="notr">

				<layout class="arrange_vertical_attachment" alignment="top" gap="5" />
				<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" />

				<!--info text-->
				<widget class="text" alignment="centre" spec="text,large" auto_size="vertical" font="fonts/letterpressed">
					<translation id="text" translation_id="296340" type="use" value="No active transfer negotiations at this time." />
				</widget>

				<!--player search button-->
				<widget class="button" id="Psea" auto_size="horizontal" appearance="button/link/button">
					<translation id="text" translation_id="227995" type="use" value="Player Search" />
					<layout class="centre_in_parent_attachment" alignment="horizontal" />
				</widget>
				<!--scouting assignments button-->
				<widget class="button" id="SctA" auto_size="horizontal" appearance="button/link/button">
					<translation id="text" translation_id="296341" type="use" value="Scouting Assignments" />
					<layout class="centre_in_parent_attachment" alignment="horizontal" />
				</widget>

			</container>

		</container>

	</container>

	<!--button-->
	<container>
		<layout class="arrange_horizontal_attachment" alignment="right" offset="0" gap="5" />
		<layout class="stick_to_sides_attachment" alignment="bottom" inset="0" layout_children="true" />
		<layout class="fit_children_attachment" alignment="vertical" offset="0" />

		<widget class="button" id="tran" auto_size="horizontal" appearance="button/link/button">
			<translation id="text" translation_id="227743" type="use" value="Transfers" />
		</widget>

	</container>

</panel>